Bulk update endpoints

<Info icon="fa-light fa-lock" className="permission-callout"> <div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div> `Endpoint` + `Update` <div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge></div> </Info> Updates details of a list of endpoints in bulk. The request body must be an array of endpoint objects. Each object requires an `id` field to identify the endpoint, and you only need to include the fields you want to update. Unlike [`PATCH /api/v1/endpoint/{endpoint_id}`](/developers/api/endpoint/endpoint-by-id-patch), this bulk endpoint handles multiple endpoints safely in a single request without sequential execution constraints between individual endpoints. <Note> Execute bulk operations sequentially - wait for each bulk request to complete before starting the next. </Note> <Warning> emnify charges for activated SIMs, even if the endpoint status is set to **Disabled**. To avoid accruing unexpected charges, update the SIM status to **Suspended** (`"id": 2`). </Warning>

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Request

This endpoint expects a list of objects.
idintegerRequired
The endpoint ID to update
namestringOptional
The endpoint name
tag_assignmentslist of integersOptional

IDs of existing tags replacing the tags currently assigned to the endpoint. An empty array removes all tags.

Mutually exclusive with tags. Provide at most one of the two.

imeistringOptional
The IMEI number
imei_lockbooleanOptional
Whether to lock the endpoint to this IMEI
ip_addressstringOptional
The IP address to assign
ip_address_spaceobjectOptional

Required when setting ip_address

service_profileobjectOptional
tariff_profileobjectOptional
statusobjectOptional

Endpoint status: 0 (Enabled) or 1 (Disabled)

simobjectOptional
tagsstringOptionalDeprecated

Comma-separated tags replacing the tags currently assigned to the endpoint. Tags that do not exist yet are created, an empty string removes all tags.

Deprecated. Use tag_assignments instead.

Response

Endpoints updated successfully

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error